This is an archived snapshot of W3C's public bugzilla bug tracker, decommissioned in April 2019. Please see the home page for more details.

Bug 23788 - Update link to CSS selector spec and consider including :current
Summary: Update link to CSS selector spec and consider including :current
Status: NEW
Alias: None
Product: TextTracks CG
Classification: Unclassified
Component: WebVTT (show other bugs)
Version: unspecified
Hardware: PC All
: P2 normal
Target Milestone: ---
Assignee: Silvia Pfeiffer
QA Contact: This bug has no owner yet - up for the taking
URL:
Whiteboard: v2
Keywords:
Depends on:
Blocks:
 
Reported: 2013-11-11 07:12 UTC by Silvia Pfeiffer
Modified: 2014-02-13 10:41 UTC (History)
4 users (show)

See Also:


Attachments

Description Silvia Pfeiffer 2013-11-11 07:12:14 UTC
fantasai suggested pointing to TR:
http://www.w3.org/TR/selectors4/

and consider including the :current pseudo-class http://www.w3.org/TR/selectors4/#current-pseudo
Comment 1 Philip J├Ągenstedt 2014-01-28 17:43:52 UTC
fantasai, is there any particular reason we should use TR instead of the latest spec? The selectors4 TR is from 2 May 2013, while the ED was updated yesterday. Living Standards, and all that.

I don't think I understand :current, cue timestamps are not ranges, so they will either be in the past or in the future. How would :current work in WebVTT?
Comment 2 Silvia Pfeiffer 2014-01-30 21:44:46 UTC
From an author viewpoint, I can imagine that the "current" text is highlighted (say in red) while the past is greyed out and the future is black. If :current falls between words, it could be a position indicator (similar to a cursor), e.g. a red cursor in the above example.
Comment 3 fantasai 2014-01-31 00:30:28 UTC
The CSSWG's official specs are the ones hosted on /TR. We could be better about updating them, but an ED is considered unofficial until we take a resolution to publish. The changes between the Selectors ED and WD at the moment aren't particularly substantial, just a few clarifications.

Someday when the W3C publication process is fixed up, /TR will be more up-to-date, because we'll push resolved changes through immediately instead of batching them as we do currently. :)
Comment 4 Silvia Pfeiffer 2014-02-13 10:41:06 UTC
Fixed the reference: https://github.com/w3c/webvtt/commit/cd0c0a2c06f38dd488163f218a7c5e89a61707a0

I'm leaving the bug open for v2 for :current . I think the use case for WebVTT needs to be discussed a bit further.